package com.hzya.frame.sysnew.integtationTaskLiving.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 集成任务-实例(IntegrationTaskLiving)实体类
 *
 * @author makejava
 * @since 2024-05-06 15:37:09
 */
public class IntegrationTaskLivingEntity extends BaseEntity {
 
  /**  integration_task_id */
   private String taskId;
  /**  任务编码 */
   private String taskCode;
  /**  任务名称 */
   private String taskName;
  /**  任务状态1、执行中2、待执行3、错误 4、当前任务已停止*/
   private String taskStatus;
  /**  上次开始时间 */
   private Date oldStartTime;
  /**  当前任务开始时间 */
   private Date startTime;
  /**  结束时间 */
   private Date endTime;
  /**  耗时 */
   private String diffTime;
  /**  运行次数 */
   private Integer runNum;
  /**  公司id */
   private String companyId;


    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskCode() {
        return taskCode;
    }

    public void setTaskCode(String taskCode) {
        this.taskCode = taskCode;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public Date getOldStartTime() {
        return oldStartTime;
    }

    public void setOldStartTime(Date oldStartTime) {
        this.oldStartTime = oldStartTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getDiffTime() {
        return diffTime;
    }

    public void setDiffTime(String diffTime) {
        this.diffTime = diffTime;
    }

    public Integer getRunNum() {
        return runNum;
    }

    public void setRunNum(Integer runNum) {
        this.runNum = runNum;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

}

